
jQuery(document).ready(function($){
  function Confettiful(el) {
  this.el = el;
  this.containerEl = null;
  this.confettiInterval = null;

  this.confettiFrequency = 3;
  this.confettiColors = ['#EF2964', '#00C09D', '#2D87B0', '#48485E', '#EFFF1D'];
  this.confettiAnimations = ['slow', 'medium', 'fast'];

  this._setupElements();
  this._renderConfetti();
}

Confettiful.prototype._setupElements = function() {
  const containerEl = $('<div class="confetti-container"></div>');
  const elPosition = this.el.css('position');

  if (elPosition !== 'relative' || elPosition !== 'absolute') {
    this.el.css('position', 'relative');
  }

  this.el.append(containerEl);

  this.containerEl = containerEl;
};

Confettiful.prototype._renderConfetti = function() {
  this.confettiInterval = setInterval(() => {
    const confettiEl = $('<div class="confetti"></div>');
    const confettiSize = (Math.floor(Math.random() * 3) + 7) + 'px';
    const confettiBackground = this.confettiColors[Math.floor(Math.random() * this.confettiColors.length)];
    const confettiLeft = (Math.floor(Math.random() * this.el.width())) + 'px';
    const confettiAnimation = this.confettiAnimations[Math.floor(Math.random() * this.confettiAnimations.length)];

    confettiEl.addClass('confetti--animation-' + confettiAnimation);
    confettiEl.css({
      left: confettiLeft,
      width: confettiSize,
      height: confettiSize,
      backgroundColor: confettiBackground
    });

    confettiEl.appendTo(this.containerEl);

    setTimeout(function() {
      confettiEl.remove();
    }, 3000);
  }, 25);
};

$(document).ready(function() {
  window.confettiful = new Confettiful($('.klw-container'));
});
});
